Macaulay2 » Documentation
Packages » PruneComplex :: Direction
next | previous | forward | backward | up | index | toc

# Direction -- Determines the direction with which the matrices in the complex is pruned

## Description

Possible values:

"left": Prune the differentials from lower indices.

"right": Prune the differentials from higher indices.

"both": Alternate between pruning the lower and higher indices.

"best": Use heuristics to prune the best unit in the whole complex first.

## See also

- pruneComplex -- Prunes a chain complex or list of mutable matrices

## Functions with optional argument named Direction:

- `pruneComplex(...,Direction=>...)`

## For the programmer

The object Direction is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/PruneComplex/doc.m2:387:0.